Package ru.bitel.bgbilling.modules.card.common.bean

# Class CardFilter

java.lang.Object
ru.bitel.bgbilling.modules.card.common.bean.CardFilter

public class CardFilter extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CardFilter()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `long`
  `getCardCode()`
  `String`
  `getCardPin()`
  `String`
  `getDateType()`
  `int`
  `getDealerId()`
  `long`
  `getIdCount()`
  `long`
  `getIdFrom()`
  `Period`
  `getPeriod()`
  `List<Integer>`
  `getStatusIds()`
  `BigDecimal`
  `getSumFrom()`
  `BigDecimal`
  `getSumTo()`
  `CardFilter`
  `setCardCode(long cardCode)`
  `CardFilter`
  `setCardPin(String cardPin)`
  `CardFilter`
  `setDateType(String dateType)`
  `CardFilter`
  `setDealerId(int dealerId)`
  `CardFilter`
  `setIdCount(long idCount)`
  `CardFilter`
  `setIdFrom(long idFrom)`
  `CardFilter`
  `setPeriod(Period period)`
  `CardFilter`
  `setStatusIds(List<Integer> statusIds)`
  `CardFilter`
  `setSumFrom(BigDecimal sumFrom)`
  `CardFilter`
  `setSumTo(BigDecimal sumTo)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CardFilter

    public CardFilter()

- ## Method Details

  - ### getDealerId

    public int getDealerId()

  - ### getIdFrom

    public long getIdFrom()

  - ### getIdCount

    public long getIdCount()

  - ### getCardCode

    public long getCardCode()

  - ### getCardPin

    public String getCardPin()

  - ### getSumFrom

    public BigDecimal getSumFrom()

  - ### getSumTo

    public BigDecimal getSumTo()

  - ### getStatusIds

    public List<Integer> getStatusIds()

  - ### getDateType

    public String getDateType()

  - ### getPeriod

    public Period getPeriod()

  - ### setDealerId

    public CardFilter setDealerId(int dealerId)

  - ### setIdFrom

    public CardFilter setIdFrom(long idFrom)

  - ### setIdCount

    public CardFilter setIdCount(long idCount)

  - ### setCardCode

    public CardFilter setCardCode(long cardCode)

  - ### setCardPin

    public CardFilter setCardPin(String cardPin)

  - ### setSumFrom

    public CardFilter setSumFrom(BigDecimal sumFrom)

  - ### setSumTo

    public CardFilter setSumTo(BigDecimal sumTo)

  - ### setStatusIds

    public CardFilter setStatusIds(List<Integer> statusIds)

  - ### setDateType

    public CardFilter setDateType(String dateType)

  - ### setPeriod

    public CardFilter setPeriod(Period period)